This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536520 - (RHQ-861) Column sorting is not remembered between page visits
Column sorting is not remembered between page visits
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.1pre
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2008-09-19 09:44 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 17:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2008-09-19 09:44:00 EDT
For instance, in the resource browser (servers subtab) ,if you sort by the Parent column, then click on the platforms subtab, and then go back to the Servers subtab, it has forgotten how you had it sorted before.

For users that prefer a different sorting than the default, this can be a real pain having to re-sort every time you visit a page. 
Comment 1 Joseph Marques 2008-09-22 08:49:28 EDT
i believe this is already fixed across the board on all JSF-based pages.  i incorported sorting/paging saved preferences on a table-by-table basis, and built it into our JSF components.  i never got around to doing the same for the "legacy" struts pages.
Comment 2 Red Hat Bugzilla 2009-11-10 16:18:25 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-861
This bug relates to RHQ-860

Note You need to log in before you can comment on or make changes to this bug.